Index: c/src/lib/libbsp/arm/arm_bare_bsp/ChangeLog
===================================================================
--- c/src/lib/libbsp/arm/arm_bare_bsp/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/arm/arm_bare_bsp/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-03-30	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/arm/arm_bare_bsp/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/arm/arm_bare_bsp/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/arm/arm_bare_bsp/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -121,7 +121,7 @@
   .data : AT (_begdata)
   {
-    *(.data)
-    *(.data.*)
+    *(.data*)
     *(.gnu.linkonce.d*)
+    *(.jcr)
     SORT(CONSTRUCTORS)
   } > RAM 
Index: c/src/lib/libbsp/arm/armulator/ChangeLog
===================================================================
--- c/src/lib/libbsp/arm/armulator/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/arm/armulator/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/arm/armulator/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/arm/armulator/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/arm/armulator/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -18,4 +18,5 @@
 	 CREATE_OBJECT_SYMBOLS
 	*(.text) 
+	*(.rodata*) 
 	 _etext = .;
 	
@@ -35,4 +36,5 @@
     { 
  	*(.data) 
+	*(.jcr)
 	CONSTRUCTORS
 	 _edata = .;
Index: c/src/lib/libbsp/arm/vegaplus/ChangeLog
===================================================================
--- c/src/lib/libbsp/arm/vegaplus/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/arm/vegaplus/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/arm/vegaplus/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/arm/vegaplus/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/arm/vegaplus/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -121,6 +121,6 @@
   .data : AT (_begdata)
   {
-    *(.data)
-    *(.data.*)
+    *(.data*)
+    *(.jcr)
     *(.gnu.linkonce.d*)
     SORT(CONSTRUCTORS)
Index: c/src/lib/libbsp/i386/i386ex/ChangeLog
===================================================================
--- c/src/lib/libbsp/i386/i386ex/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/i386/i386ex/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/i386/i386ex/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/i386/i386ex/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/i386/i386ex/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -116,5 +116,5 @@
 	__DTOR_END__ = .;
 	_rodata_start = . ;
-	*(.rodata)
+	*(.rodata*)
 	*(.gnu.linkonce.r*)
 	_erodata = ALIGN( 0x10 ) ;
Index: c/src/lib/libbsp/i386/pc386/ChangeLog
===================================================================
--- c/src/lib/libbsp/i386/pc386/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/i386/pc386/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/i386/pc386/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/i386/pc386/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/i386/pc386/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -69,5 +69,5 @@
 
     _rodata_start = . ;
-    *(.rodata)
+    *(.rodata*)
     *(.gnu.linkonce.r*)
     _erodata = ALIGN( 0x10 ) ;
Index: c/src/lib/libbsp/i960/cvme961/ChangeLog
===================================================================
--- c/src/lib/libbsp/i960/cvme961/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/i960/cvme961/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/i960/cvme961/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/i960/cvme961/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/i960/cvme961/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -47,5 +47,5 @@
 
         _rodata_start = . ;
-        *(.rodata)
+        *(.rodata*)
         *(.gnu.linkonce.r*)
         _erodata = ALIGN( 0x10 ) ;
Index: c/src/lib/libbsp/m68k/dmv152/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/dmv152/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/dmv152/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/dmv152/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/dmv152/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/dmv152/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -98,5 +98,5 @@
 		. = ALIGN (16);
 		_rodata_start = . ;
-		*(.rodata)
+		*(.rodata*)
 		*(.gnu.linkonce.r*)
 
@@ -109,4 +109,5 @@
 		*(.gnu.linkonce.d*)
 		*(.gcc_except_table)
+		*(.jcr)
                 . = ALIGN (16);
                 PROVIDE (_edata = .);
Index: c/src/lib/libbsp/m68k/efi332/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/efi332/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/efi332/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/efi332/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/efi332/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/efi332/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -124,5 +124,5 @@
 		. = ALIGN (16);
 		_rodata_start = . ;
-		*(.rodata)
+		*(.rodata*)
 		*(.gnu.linkonce.r*)
 
@@ -135,4 +135,5 @@
 		*(.gnu.linkonce.d*)
 		*(.gcc_except_table)
+		*(.jcr)
                 . = ALIGN (16);
                 PROVIDE (_edata = .);
Index: c/src/lib/libbsp/m68k/efi68k/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/efi68k/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/efi68k/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/efi68k/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/efi68k/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/efi68k/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -131,5 +131,5 @@
 		. = ALIGN (16);
 		_rodata_start = . ;
-		*(.rodata)
+		*(.rodata*)
 		*(.gnu.linkonce.r*)
 
@@ -142,4 +142,5 @@
 		*(.gnu.linkonce.d*)
 		*(.gcc_except_table)
+		*(.jcr)
                 . = ALIGN (16);
                 PROVIDE (_edata = .);
Index: c/src/lib/libbsp/m68k/gen68302/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/gen68302/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/gen68302/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/gen68302/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -101,5 +101,5 @@
 		. = ALIGN (16);
 		_rodata_start = . ;
-		*(.rodata)
+		*(.rodata*)
 		*(.gnu.linkonce.r*)
 
@@ -112,4 +112,5 @@
 		*(.gnu.linkonce.d*)
 		*(.gcc_except_table)
+		*(.jcr)
                 . = ALIGN (16);
                 PROVIDE (_edata = .);
Index: c/src/lib/libbsp/m68k/gen68340/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/gen68340/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/gen68340/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/gen68340/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -129,5 +129,5 @@
 		. = ALIGN (16);
 		_rodata_start = . ;
-		*(.rodata)
+		*(.rodata*)
 		*(.gnu.linkonce.r*)
 
@@ -140,4 +140,5 @@
 		*(.gnu.linkonce.d*)
 		*(.gcc_except_table)
+		*(.jcr)
                 . = ALIGN (16);
                 PROVIDE (_edata = .);
Index: c/src/lib/libbsp/m68k/gen68360/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/gen68360/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/gen68360/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/gen68360/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -93,5 +93,5 @@
 		. = ALIGN (16);
 		_rodata_start = . ;
-		*(.rodata)
+		*(.rodata*)
 		*(.gnu.linkonce.r*)
 
@@ -104,4 +104,5 @@
 		*(.gnu.linkonce.d*)
 		*(.gcc_except_table)
+		*(.jcr)
                 . = ALIGN (16);
                 PROVIDE (edata = .);
Index: c/src/lib/libbsp/m68k/idp/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/idp/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/idp/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/idp/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/idp/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/idp/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -97,6 +97,6 @@
 		 */
 		. = ALIGN (16);
-		_rodata_start = . ;
-		*(.rodata)
+		_rodata_start = .;
+		*(.rodata*)
 		*(.gnu.linkonce.r*)
 
@@ -109,4 +109,5 @@
 		*(.gnu.linkonce.d*)
 		*(.gcc_except_table)
+		*(.jcr)
                 . = ALIGN (16);
                 PROVIDE (_edata = .);
Index: c/src/lib/libbsp/m68k/mcf5206elite/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/mcf5206elite/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mcf5206elite/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/mcf5206elite/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -117,6 +117,6 @@
 	    */
 	   . = ALIGN (16);
-	   _rodata_start = . ;
-	   *(.rodata)
+	   _rodata_start = .;
+	   *(.rodata*)
 	   *(.gnu.linkonce.r*)
 
@@ -134,4 +134,5 @@
            *(.gcc_exc)
            *(.gcc_except_table)
+	   *(.jcr)
            . = ALIGN (0x10);
            *(.gnu.linkonce.d*)
Index: c/src/lib/libbsp/m68k/mrm332/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/mrm332/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mrm332/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/mrm332/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -121,6 +121,6 @@
 		 */
 		. = ALIGN (16);
-		_rodata_start = . ;
-		*(.rodata)
+		_rodata_start = .;
+		*(.rodata*)
 		*(.gnu.linkonce.r*)
 
@@ -133,4 +133,5 @@
 		*(.gnu.linkonce.d*)
 		*(.gcc_except_table)
+		*(.jcr)
                 . = ALIGN (16);
                 PROVIDE (_edata = .);
Index: c/src/lib/libbsp/m68k/mvme136/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/mvme136/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mvme136/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/mvme136/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -97,6 +97,6 @@
 		 */
 		. = ALIGN (16);
-		_rodata_start = . ;
-		*(.rodata)
+		_rodata_start = .;
+		*(.rodata*)
 		*(.gnu.linkonce.r*)
 
@@ -109,4 +109,5 @@
 		*(.gnu.linkonce.d*)
 		*(.gcc_except_table)
+		*(.jcr)
                 . = ALIGN (16);
                 PROVIDE (_edata = .);
Index: c/src/lib/libbsp/m68k/mvme147/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/mvme147/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mvme147/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/mvme147/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -101,6 +101,6 @@
 		 */
 		. = ALIGN (16);
-		_rodata_start = . ;
-		*(.rodata)
+		_rodata_start = .;
+		*(.rodata*)
 		*(.gnu.linkonce.r*)
 
@@ -113,4 +113,5 @@
 		*(.gnu.linkonce.d*)
 		*(.gcc_except_table)
+		*(.jcr)
                 . = ALIGN (16);
                 PROVIDE (_edata = .);
Index: c/src/lib/libbsp/m68k/mvme147s/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/mvme147s/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mvme147s/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/mvme147s/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -101,6 +101,6 @@
 		 */
 		. = ALIGN (16);
-		_rodata_start = . ;
-		*(.rodata)
+		_rodata_start = .;
+		*(.rodata*)
 		*(.gnu.linkonce.r*)
 
@@ -113,4 +113,5 @@
 		*(.gnu.linkonce.d*)
 		*(.gcc_except_table)
+		*(.jcr)
                 . = ALIGN (16);
                 PROVIDE (_edata = .);
Index: c/src/lib/libbsp/m68k/mvme162/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/mvme162/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-04-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mvme162/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/mvme162/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -104,6 +104,6 @@
 		 */
 		. = ALIGN (16);
-		_rodata_start = . ;
-		*(.rodata)
+		_rodata_start = .;
+		*(.rodata*)
 		*(.gnu.linkonce.r*)
 
@@ -116,4 +116,5 @@
 		*(.gnu.linkonce.d*)
 		*(.gcc_except_table)
+		*(.jcr)
                 . = ALIGN (16);
                 PROVIDE (_edata = .);
Index: c/src/lib/libbsp/m68k/mvme167/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/mvme167/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-05-01	Eric Norum <eric.norum@usask.ca>
 
Index: c/src/lib/libbsp/m68k/mvme167/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/mvme167/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -110,6 +110,6 @@
      */
     . = ALIGN (16);
-    PROVIDE(_rodata_start = . );
-    *(.rodata)
+    _rodata_start = .;
+    *(.rodata*)
     *(.gnu.linkonce.r*)
     PROVIDE(_erodata = . );
@@ -124,4 +124,5 @@
     *(.gnu.linkonce.d*)
     *(.gcc_except_table)
+    *(.jcr)
     . = ALIGN (16);
     PROVIDE (_edata = .);
Index: c/src/lib/libbsp/m68k/ods68302/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/ods68302/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/ods68302/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/ods68302/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -99,6 +99,6 @@
 		 */
 		. = ALIGN (16);
-		_rodata_start = . ;
-		*(.rodata)
+		_rodata_start = .;
+		*(.rodata*)
 		*(.gnu.linkonce.r*)
 
@@ -111,4 +111,5 @@
 		*(.gnu.linkonce.d*)
 		*(.gcc_except_table)
+		*(.jcr)
                 . = ALIGN (16);
                 PROVIDE (_edata = .);
Index: c/src/lib/libbsp/m68k/sim68000/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/sim68000/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/sim68000/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/sim68000/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/sim68000/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/m68k/sim68000/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -94,6 +94,6 @@
 		 */
 		. = ALIGN (16);
-		_rodata_start = . ;
-		*(.rodata)
+		_rodata_start = .;
+		*(.rodata*)
 		*(.gnu.linkonce.r*)
 
@@ -106,4 +106,5 @@
 		*(.gnu.linkonce.d*)
 		*(.gcc_except_table)
+		*(.jcr)
                 . = ALIGN (16);
                 PROVIDE (_edata = .);
Index: c/src/lib/libbsp/powerpc/dmv177/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/dmv177/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/powerpc/dmv177/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2001-04-08	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/powerpc/dmv177/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/powerpc/dmv177/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/powerpc/dmv177/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -58,11 +58,11 @@
   .eh_frame	  : { *.(eh_frame)		} >RAM
 
-  .rodata  	  : { *(.rodata) *(.gnu.linkonce.r*) } >RAM
+  .rodata  	  : { *(.rodata*) *(.gnu.linkonce.r*) } >RAM
   .rodata1	  : { *(.rodata1) 	} >RAM
   _etext = .;
   PROVIDE (etext = .);
   PROVIDE (__SDATA2_START__ = .);
-  .sdata2	  : { *(.sdata2) 	} >RAM
-  .sbss2	  : { *(.sbss2) 	} >RAM
+  .sdata2   	  : { *(.sdata2) *(.gnu.linkonce.s2.*)	} >RAM
+  .sbss2   	  : { *(.sbss2) *(.gnu.linkonce.sb2.*)	} >RAM
   PROVIDE (__SBSS2_END__ = .);
   /* Adjust the address for the data segment.  We want to adjust up to
@@ -130,5 +130,5 @@
      we can shorten the on-disk segment size.  */
   PROVIDE (__SDATA_START__ = .);
-  .sdata	  : { *(.sdata) 	} >RAM
+  .sdata	  : { *(.sdata) *(.gnu.linkonce.s.*)	} >RAM
   _edata  =  .;
   PROVIDE (edata = .);
Index: c/src/lib/libbsp/powerpc/eth_comm/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/eth_comm/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/powerpc/eth_comm/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-04-18	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/powerpc/eth_comm/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/powerpc/eth_comm/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/powerpc/eth_comm/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -40,5 +40,5 @@
 	     *(.entry2)
 	     *(.text)
-	     *(.rodata)
+	     *(.rodata*)
              *(.eh_frame)
              *(.gnu.linkonce.r*)
@@ -80,8 +80,9 @@
 	  PROVIDE (__SDATA_START__ = .);
 	  *(.sdata)
+	  *(.gnu.linkonce.s.*)
 	} > ram
 	
 	PROVIDE (__EXCEPT_START__ = .);
-	.gcc_except_table   : { *(.gcc_except_table) } >RAM
+	.gcc_except_table   : { *(.gcc_except_table) } >ram
 	PROVIDE (__EXCEPT_END__ = .);
 	__GOT_START__ = .;
@@ -107,6 +108,6 @@
 	 
 	PROVIDE (__SDATA2_START__ = .);
-	.sdata2   	  : { *(.sdata2) 	} >ram
-	.sbss2   	  : { *(.sbss2) 	} >ram
+  	.sdata2   	  : { *(.sdata2) *(.gnu.linkonce.s2.*)	} >ram
+  	.sbss2   	  : { *(.sbss2) *(.gnu.linkonce.sb2.*)	} >ram
 	PROVIDE (__SBSS2_END__ = .);
 	
Index: c/src/lib/libbsp/powerpc/gen405/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/gen405/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/powerpc/gen405/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2001-04-08	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/powerpc/gen405/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/powerpc/gen405/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/powerpc/gen405/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -35,5 +35,5 @@
      *(.entry2)
      *(.text)
-     *(.rodata)
+     *(.rodata*)
      *(.rodata1)
      *.(eh_frame)
@@ -76,4 +76,5 @@
     PROVIDE (__SDATA_START__ = .);
     *(.sdata)
+    *(.gnu.linkonce.s.*)
   } > RAM
  
@@ -114,9 +115,6 @@
  
   PROVIDE (__SDATA2_START__ = .);
-  .sdata2   	  : { *(.sdata2) 	} >RAM
-  .sbss2   	  : { *(.sbss2) 	} >RAM
-  PROVIDE (__SBSS2_END__ = .);
-
-  .sbss2   	  : { *(.sbss2) 	} >RAM
+  .sdata2   	  : { *(.sdata2) *(.gnu.linkonce.s2.*)	} >RAM
+  .sbss2   	  : { *(.sbss2) *(.gnu.linkonce.sb2.*)	} >RAM
   PROVIDE (__SBSS2_END__ = .);
 
Index: c/src/lib/libbsp/powerpc/helas403/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/helas403/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/powerpc/helas403/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2001-04-08	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/powerpc/helas403/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/powerpc/helas403/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/powerpc/helas403/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -35,5 +35,5 @@
      *(.entry2)
      *(.text)
-     *(.rodata)
+     *(.rodata*)
      *(.rodata1)
      *.(eh_frame)
@@ -91,4 +91,5 @@
     PROVIDE (__SDATA_START__ = .);
     *(.sdata)
+    *(.gnu.linkonce.s.*)
     . = ALIGN(0x10);
     copy.tmptop.dat = .;
Index: c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-04-18	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/powerpc/mbx8xx/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/powerpc/mbx8xx/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/powerpc/mbx8xx/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -115,5 +115,5 @@
     *(.lit)
     *(.shdata)
-    *(.rodata)
+    *(.rodata*)
     *(.rodata1)
     *.(eh_frame)
@@ -144,4 +144,5 @@
     *(.sdata)
     *(.gnu.linkonce.d*)
+    *(.gnu.linkonce.s.*)
     PROVIDE (__SDATA_END__ = .);
     
@@ -174,4 +175,6 @@
     PROVIDE (__SDATA2_START__ = .);
     *(.sdata2)
+    *(.gnu.linkonce.s2.*)
+    *(.sbss2)
     PROVIDE (__SDATA2_END__ = .);
   } > ram
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+	      Eliminated the implicit assumption on the presence of an ISA PIC.
+	    - UART and console driver now supports more than 1 port. The current
+	      maximum of 2 can easily be extended by enlarging a table (it
+	      would even be easier if the ISR API was not broken by design).
+	    - fixed polled_io.c so it correctly supports console on COM2
+	    - fixed TLB invalidation code (start.S).
+	    - exception handler prints a stack backtrace.
+	    - added BSP_pciFindDevice() to scan the pci bus for a particular
 	      vendor/device/instance.
 
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -39,5 +39,5 @@
     { *(.rela.data) *(.rela.gnu.linkonce.d*) }	> CODE
   .rela.rodata   :
-    { *(.rela.rodata) *(.rela.gnu.linkonce.r*) }	> CODE
+    { *(.rela.rodata*) *(.rela.gnu.linkonce.r*) }	> CODE
   .rela.got       : { *(.rela.got)      }	> CODE
   .rela.got1      : { *(.rela.got1)     }	> CODE
@@ -62,11 +62,11 @@
   .init		  : { _init = .; *(.init)	} >CODE
   .fini		  : { _fini = .; *(.fini)	} >CODE
-  .rodata         : { *(.rodata) *(.gnu.linkonce.r*) }	> CODE
+  .rodata         : { *(.rodata*) *(.gnu.linkonce.r*) }	> CODE
   .rodata1        : { *(.rodata1) }	> CODE
   .eh_frame	  : { *.(eh_frame)		} >CODE
   _etext = .;
   PROVIDE (etext = .);
-  .sdata2   : { *(.sdata2) }	> CODE
-  .sbss2   : { *(.sbss2) }	> CODE
+  .sdata2   	  : { *(.sdata2) *(.gnu.linkonce.s2.*)	} >CODE
+  .sbss2   	  : { *(.sbss2) *(.gnu.linkonce.sb2.*)	} >CODE
   /* Adjust the address for the data segment.  We want to adjust up to
      the same address within the page on the next page up.  It would
@@ -118,5 +118,5 @@
      can access them all, and initialized data all before uninitialized, so
      we can shorten the on-disk segment size.  */
-  .sdata          : { *(.sdata) }	> CODE
+  .sdata	  : { *(.sdata) *(.gnu.linkonce.s.*)	} >CODE
   _edata  =  .;
   PROVIDE (edata = .);
Index: c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-04-18	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/powerpc/mpc8260ads/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/powerpc/mpc8260ads/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/powerpc/mpc8260ads/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -56,5 +56,5 @@
 
 
-    *(.rodata)
+    *(.rodata*)
     *(.rodata1)
 
@@ -158,6 +158,6 @@
 	 
     PROVIDE (__SDATA2_START__ = .);
-    .sdata2   	  : { *(.sdata2) 	} >ram
-    .sbss2   	  : { *(.sbss2) 	} >ram
+  .sdata2   	  : { *(.sdata2) *(.gnu.linkonce.s2.*)	} >ram
+  .sbss2   	  : { *(.sbss2) *(.gnu.linkonce.sb2.*)	} >ram
     PROVIDE (__SBSS2_END__ = .);
 	
@@ -191,5 +191,5 @@
       PROVIDE (__SDATA_START__ = .);
       *(.sdata)
-
+      *(.gnu.linkonce.s.*)
       data.end = .;
     } > ram
Index: c/src/lib/libbsp/powerpc/ppcn_60x/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/ppcn_60x/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/powerpc/ppcn_60x/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-04-22	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/powerpc/ppcn_60x/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/powerpc/ppcn_60x/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/powerpc/ppcn_60x/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -52,5 +52,5 @@
   .init		  : { _init = .; *(.init)	}
   .fini		  : { _fini = .; *(.fini)	}
-  .rodata  	  : { *(.rodata) *(.gnu.linkonce.r*) }
+  .rodata  	  : { *(.rodata*) *(.gnu.linkonce.r*) }
   .rodata1	  : { *(.rodata1) }
   .eh_frame	  : { *.(eh_frame) }
@@ -58,5 +58,6 @@
   PROVIDE (etext = .);
   PROVIDE (__SDATA2_START__ = .);
-  .sdata2   : { *(.sdata2) }
+  .sdata2   	  : { *(.sdata2) *(.gnu.linkonce.s2.*)	}
+  .sbss2   	  : { *(.sbss2) *(.gnu.linkonce.sb2.*)	}
   PROVIDE (__SBSS2_START__ = .);
   .sbss2   : { *(.sbss2) }
@@ -118,5 +119,5 @@
      we can shorten the on-disk segment size.  */
   PROVIDE (__SDATA_START__ = .);
-  .sdata	  : { *(.sdata) }
+  .sdata     : { *(.sdata) *(.gnu.linkonce.s.*)	}
   _edata  =  .;
   PROVIDE (edata = .);
Index: c/src/lib/libbsp/powerpc/psim/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/psim/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/powerpc/psim/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-04-18	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/powerpc/psim/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/powerpc/psim/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/powerpc/psim/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -67,5 +67,5 @@
   .init		  : { _init = .; __init = .; *(.init)		} >RAM
   .fini		  : { _fini = .; __fini = .; *(.fini)		} >RAM
-  .rodata  	  : { *(.rodata) *(.gnu.linkonce.r*) } >RAM
+  .rodata  	  : { *(.rodata*) *(.gnu.linkonce.r*) } >RAM
   .rodata1	  : { *(.rodata1) 	} >RAM
   .eh_frame	  : { *.(eh_frame)		} >RAM
@@ -73,6 +73,6 @@
   PROVIDE (etext = .);
   PROVIDE (__SDATA2_START__ = .);
-  .sdata2   	  : { *(.sdata2) 	} >RAM
-  .sbss2   	  : { *(.sbss2) 	} >RAM
+  .sdata2   	  : { *(.sdata2) *(.gnu.linkonce.s2.*)	} >RAM
+  .sbss2   	  : { *(.sbss2) *(.gnu.linkonce.sb2.*)	} >RAM
   PROVIDE (__SBSS2_END__ = .);
   /* Adjust the address for the data segment.  We want to adjust up to
@@ -139,5 +139,5 @@
      we can shorten the on-disk segment size.  */
   PROVIDE (__SDATA_START__ = .);
-  .sdata	  : { *(.sdata) 	} >RAM
+  .sdata	  : { *(.sdata) *(.gnu.linkonce.s.*)	} >RAM
   _edata  =  .;
   PROVIDE (edata = .);
@@ -149,4 +149,5 @@
     *(.sbss)
     *(.scommon)
+    *(.gnu.linkonce.sb.*)
     PROVIDE (__sbss_end = .);
   } >RAM
Index: c/src/lib/libbsp/powerpc/score603e/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/score603e/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/powerpc/score603e/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-04-22	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/powerpc/score603e/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/powerpc/score603e/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/powerpc/score603e/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -60,15 +60,15 @@
     /* .gnu.warning sections are handled specially by elf32.em.  */
     *(.gnu.warning)
-  } 
-  .init		  : { _init = .; __init = .; *(.init)		}
-  .fini		  : { _fini = .; __fini = .; *(.fini)		}
-  .rodata  	  : { *(.rodata) *(.gnu.linkonce.r*) }
-  .rodata1	  : { *(.rodata1)		}
-  .eh_frame	  : { *.(eh_frame)		}
+  }  >RAM
+  .init		  : { _init = .; __init = .; *(.init)		} >RAM
+  .fini		  : { _fini = .; __fini = .; *(.fini)		} >RAM
+  .rodata  	  : { *(.rodata*) *(.gnu.linkonce.r*) } >RAM
+  .rodata1	  : { *(.rodata1)		} >RAM
+  .eh_frame	  : { *.(eh_frame)		} >RAM
   _etext = .;
   PROVIDE (_etext = .);
   PROVIDE (__SDATA2_START__ = .);
-  .sdata2   	  : { *(.sdata2) 	}
-  .sbss2   	  : { *(.sbss2) 	}
+  .sdata2   	  : { *(.sdata2) *(.gnu.linkonce.s2.*)	} >RAM
+  .sbss2   	  : { *(.sbss2) *(.gnu.linkonce.sb2.*)	} >RAM
   PROVIDE (__SBSS2_END__ = .);
   /* Adjust the address for the data segment.  We want to adjust up to
@@ -93,26 +93,26 @@
     *(.gnu.linkonce.d.*)
     CONSTRUCTORS
-  }
+  } >RAM
   PROVIDE (__EXCEPT_START__ = .);
-  .gcc_except_table   : { *(.gcc_except_table) }
+  .gcc_except_table   : { *(.gcc_except_table) } >RAM
   PROVIDE (__EXCEPT_END__ = .);
 
-  .data1   	  : { *(.data1) 	}
-  .got1		  : { *(.got1) 		}
-  .dynamic	  : { *(.dynamic) 	}
+  .data1   	  : { *(.data1) 	} >RAM
+  .got1		  : { *(.got1) 		} >RAM
+  .dynamic	  : { *(.dynamic) 	} >RAM
   /* Put .ctors and .dtors next to the .got2 section, so that the pointers
      get relocated with -mrelocatable. Also put in the .fixup pointers.
      The current compiler no longer needs this, but keep it around for 2.7.2  */
 		PROVIDE (_GOT2_START_ = .);
-  .got2		  :  { *(.got2)	}
+  .got2		  :  { *(.got2)	} >RAM
 		PROVIDE (__GOT2_END__ = .);
 		PROVIDE (__CTOR_LIST__ = .);
-  .ctors	  : { *(.ctors) }
+  .ctors	  : { *(.ctors) } >RAM
 		PROVIDE (__CTOR_END__ = .);
 		PROVIDE (__DTOR_LIST__ = .);
-  .dtors	  : { *(.dtors) }
+  .dtors	  : { *(.dtors) } >RAM
 		PROVIDE (__DTOR_END__ = .);
 		PROVIDE (_FIXUP_START_ = .);
-  .fixup	  : { *(.fixup) }
+  .fixup	  : { *(.fixup) } >RAM
 		PROVIDE (_FIXUP_END_ = .);
 		PROVIDE (__FIXUP_END__ = .);
@@ -122,6 +122,6 @@
     s.got = .;
     *(.got)
-  }	
-  .got.plt	  : { *(.got.plt) }
+  }	 >RAM
+  .got.plt	  : { *(.got.plt) } >RAM
 		PROVIDE (_GOT_END_ = .);
 		PROVIDE (__GOT_END__ = .);
@@ -132,6 +132,7 @@
   .sdata	  : {
      *(.sdata)
+     *(.gnu.linkonce.s.*)
      _edata  =  .;
-  }
+  } >RAM
   PROVIDE (_edata = .);
   PROVIDE (RAM_END = ADDR(.text) + 10M);
@@ -144,5 +145,5 @@
     *(.scommon)
     PROVIDE (__sbss_end = .);
-  }
+  } >RAM
   PROVIDE (__SBSS_END__ = .);
   .bss       :
@@ -156,9 +157,9 @@
     _end = . ;
     PROVIDE (end = .);
-  }
+  } >RAM
 
   /* These are needed for ELF backends which have not yet been
      converted to the new style linker.  */
-  .stab 0 : { *(.stab) }
+  .stab 0 : { *(.stab) } >RAM
   .stabstr 0 : { *(.stabstr) }
   /* DWARF debug sections.
Index: c/src/lib/libbsp/powerpc/shared/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/shared/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/powerpc/shared/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+	      Eliminated the implicit assumption on the presence of an ISA PIC.
+	    - UART and console driver now supports more than 1 port. The current
+	      maximum of 2 can easily be extended by enlarging a table (it
+	      would even be easier if the ISR API was not broken by design).
+	    - fixed polled_io.c so it correctly supports console on COM2
+	    - fixed TLB invalidation code (start.S).
+	    - exception handler prints a stack backtrace.
+	    - added BSP_pciFindDevice() to scan the pci bus for a particular
 	      vendor/device/instance.
 
Index: c/src/lib/libbsp/powerpc/shared/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/powerpc/shared/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/powerpc/shared/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -62,11 +62,11 @@
   .init		  : { _init = .; *(.init)	} >CODE
   .fini		  : { _fini = .; *(.fini)	} >CODE
-  .rodata         : { *(.rodata) *(.gnu.linkonce.r*) }	> CODE
+  .rodata         : { *(.rodata*) *(.gnu.linkonce.r*) }	> CODE
   .rodata1        : { *(.rodata1) }	> CODE
   .eh_frame	  : { *.(eh_frame)		} >CODE
   _etext = .;
   PROVIDE (etext = .);
-  .sdata2   : { *(.sdata2) }	> CODE
-  .sbss2   : { *(.sbss2) }	> CODE
+  .sdata2   	  : { *(.sdata2) *(.gnu.linkonce.s2.*)	} >CODE
+  .sbss2   	  : { *(.sbss2) *(.gnu.linkonce.sb2.*)	} >CODE
   /* Adjust the address for the data segment.  We want to adjust up to
      the same address within the page on the next page up.  It would
@@ -118,5 +118,5 @@
      can access them all, and initialized data all before uninitialized, so
      we can shorten the on-disk segment size.  */
-  .sdata          : { *(.sdata) }	> CODE
+  .sdata	  : { *(.sdata) *(.gnu.linkonce.s.*)	} >CODE
   _edata  =  .;
   PROVIDE (edata = .);
Index: c/src/lib/libbsp/sh/gensh1/ChangeLog
===================================================================
--- c/src/lib/libbsp/sh/gensh1/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/sh/gensh1/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/sh/gensh1/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/sh/gensh1/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/sh/gensh1/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -117,4 +117,6 @@
   {
     *(.data)
+    *(.gcc_exc)
+    *(.gcc_except_table)
     *(.gnu.linkonce.d*)
     CONSTRUCTORS
Index: c/src/lib/libbsp/sh/gensh2/ChangeLog
===================================================================
--- c/src/lib/libbsp/sh/gensh2/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/sh/gensh2/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/sh/gensh2/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/sh/gensh2/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/sh/gensh2/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -130,4 +130,6 @@
   {
     *(.data)
+    *(.gcc_exc)
+    *(.gcc_except_table)
     *(.gnu.linkonce.d*)
     CONSTRUCTORS
Index: c/src/lib/libbsp/sh/gensh4/ChangeLog
===================================================================
--- c/src/lib/libbsp/sh/gensh4/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/sh/gensh4/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/sh/gensh4/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/sh/gensh4/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/sh/gensh4/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -107,4 +107,6 @@
     *(.data)
     *(.data.*)
+    *(.gcc_exc)
+    *(.gcc_except_table)
     *(.gnu.linkonce.d*)
     SORT(CONSTRUCTORS)
Index: c/src/lib/libbsp/sh/shsim/ChangeLog
===================================================================
--- c/src/lib/libbsp/sh/shsim/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/sh/shsim/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/sh/shsim/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/sh/shsim/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/sh/shsim/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -109,4 +109,6 @@
   {
     *(.data)
+    *(.gcc_exc)
+    *(.gcc_except_table)
     *(.gnu.linkonce.d*)
     CONSTRUCTORS
Index: c/src/lib/libbsp/sh/simsh4/ChangeLog
===================================================================
--- c/src/lib/libbsp/sh/simsh4/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/sh/simsh4/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/sh/simsh4/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/sh/simsh4/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/sh/simsh4/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -97,4 +97,6 @@
   {
     *(.data)
+    *(.gcc_exc)
+    *(.gcc_except_table)
     *(.gnu.linkonce.d*)
     CONSTRUCTORS
Index: c/src/lib/libbsp/sparc/erc32/ChangeLog
===================================================================
--- c/src/lib/libbsp/sparc/erc32/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/sparc/erc32/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2001-04-26	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/sparc/erc32/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/sparc/erc32/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/sparc/erc32/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -115,5 +115,5 @@
 
     _rodata_start = . ;
-    *(.rodata)
+    *(.rodata*)
     *(.gnu.linkonce.r*)
     _erodata = ALIGN( 0x10 ) ;
@@ -129,4 +129,5 @@
   } > ram
   .dynamic	  : { *(.dynamic) 	} >ram
+  .jcr		  : { *(.jcr) 		} >ram
   .got		  : { *(.got) 		} >ram
   .plt   	  : { *(.plt) 		} >ram
Index: c/src/lib/libbsp/sparc/leon/ChangeLog
===================================================================
--- c/src/lib/libbsp/sparc/leon/ChangeLog	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/sparc/leon/ChangeLog	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -1,2 +1,10 @@
+2001-05-09	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/linkcmds: In support of gcc 3.1, added one of more
+	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
+	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
+	and direction of segments to memory regions may also have been
+	addressed.  This was a sweep across all BSPs.
+ 
 2002-04-01	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/sparc/leon/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/sparc/leon/startup/linkcmds	(revision 907ef1f68089bcb740cb9a7cdf1d210470030663)
+++ c/src/lib/libbsp/sparc/leon/startup/linkcmds	(revision 85c925744739fec5a06aef65b5302d41337452d4)
@@ -115,5 +115,5 @@
 
     _rodata_start = . ;
-    *(.rodata)
+    *(.rodata*)
     *(.gnu.linkonce.r*)
     _erodata = ALIGN( 0x10 ) ;
@@ -129,4 +129,5 @@
   } > ram
   .dynamic	  : { *(.dynamic) 	} >ram
+  .jcr		  : { *(.jcr) 		} >ram
   .got		  : { *(.got) 		} >ram
   .plt   	  : { *(.plt) 		} >ram
